<?php

namespace Ulmus\Api\Common;

enum ContentTypeEnum : string
{
    case Json = "application/json";
    case Multipart = "multipart/form-data";
    case UrlEncoded = "application/x-www-form-urlencoded";

    public function defaultBody() : string
    {
        switch($this) {
            case static::Json:
                return "{}";

            default:
                return "";
        }
    }
}
