<?php

namespace Ulmus\Api;

use Psr\Http\Message\{ ResponseInterface, RequestInterface };

use Ulmus\Api\Attribute\Obj\Api\ApiAction;

interface ApiHandlerInterface
{
    public function handleRequest(RequestInterface $request, ApiAction $attribute) : RequestInterface;
    public function handleResponse(ResponseInterface $response, ApiAction $attribute) : ResponseInterface;
}