<?php

namespace Ulmus\Api\Common;

enum AuthenticationEnum : string
{
    case Basic = "basic";
    case Bearer = "bearer";
    case Custom = "custom";
    case Digest = "digest";
    case Key = "key";
    case Ntlm = "ntlm";
    case Negotiate = "negotiate";
    # case OAuth = "oauth";
    # case OpenID = "openid";
    # case OpenAPI = "openapi";
    case Token = "token";
}
